## Getting Started for .NET

This repo contains sample applications written in C# that run on Google Cloud Platform.

See [https://cloud.google.com/dotnet/getting-started/hello-world](https://cloud.google.com/dotnet/getting-started/hello-world) for instructions on how to build, run, and deploy the samples.

The applications make use of two client libraries:

* [.NET Cloud Client Library]
* [Google API Client Library]

### Build Status

![Windows][windows-badge]

## aspnet

The [aspnet] directory contains ASP.NET samples that demonstrate how to access and use Google's APIs from C#. 
Review this section to learn how use Visual Studio to deploy an ASP.NET sample bookshelf app to the Google Cloud Platform. 
The sample bookshelf app provides examples of using the following Cloud APIs:
 
* [Cloud Datastore API]
* [Cloud SQL API]
* [Cloud Storage API]
* [Cloud Pub/Sub API]

## Contributing changes

* See [CONTRIBUTING.md](CONTRIBUTING.md)

## Licensing

* See [LICENSE](LICENSE)

[.NET Cloud Client Library]: https://github.com/googlecloudplatform/gcloud-dotnet
[Google API Client Library]: https://github.com/google/google-api-dotnet-client
[aspnet]: ./aspnet
[Cloud Datastore API]: https://developers.google.com/api-client-library/dotnet/apis/datastore/v1beta3
[Cloud SQL API]: https://cloud.google.com/sql/docs/admin-api/
[Cloud Storage API]: http://googlecloudplatform.github.io/gcloud-dotnet/index.html
[Cloud Pub/Sub API]: https://developers.google.com/api-client-library/dotnet/apis/pubsub/v1
[windows-badge]: https://www.googleapis.com/download/storage/v1/b/silver-python2-kokoro-badges/o/getting-started-dotnet%2Fsystem_tests-windows.png?alt=media
